.menu {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100vh;
  min-height: 700px;
  background-color: #000;
  z-index: 2;
  transform: translate(100%);
  transition: 0.7s ease-out;
  color: #fff;

  &.is-show {
    transform: translateX(0);

    .menu-inner {
      opacity: 1;
    }
  }

  &-inner {
    opacity: 0;
    transition: 1s ease-out;
  }

  &-header {
    position: relative;
  }

  &-list {
    display: flex;
    justify-content: flex-end;
    white-space: nowrap;

    @include respond-max('tablet') {
      justify-content: space-between;
    }
    @include respond-max('mobile') {
      overflow: auto;

      &::-webkit-scrollbar {
        display: none;
      }
    }
  }

  &-button {
    color: rgba(#fff, 0.6);
    margin-left: 32px;
    @include respond-max('mobile') {
      position: absolute;
      top: 20px;
      right: 15px;
    }

    .icon {
      transition: 0.3s ease-out;
      width: 16px;
      height: 16px;
    }

    &:hover {
      color: #fff;
    }
  }
}

.menu-list__wrap {
  position: relative;
  padding: 40px 0 40px 30px;
  @include respond-max('tablet') {
    padding: 40px 0 0 30px;
  }
  @include respond-max('mobile') {
    padding: 50px 0 0 35px;
    overflow: hidden;
    margin-right: -15px;

    &:before {
      content: '';
      display: block;
      width: 8px;
      position: absolute;
      height: 100%;
      top: 50px;
      left: 35px;
      pointer-events: none;
      z-index: 1;
      background: linear-gradient(
        90deg,
        rgba(0, 0, 0, 1) 0,
        rgba(0, 0, 0, 0) 100%
      );
    }
  }
}
